const fetchStoryHtml = async (url, path, params, context) => {
  // Remove trailing slash.
  url = url.replace(/\/$/, "");

  const regexp = /\.\/web\/themes\/custom\/(.+?)\/(.+)\.stories\.yml/;
  const info = context.parameters.fileName.match(regexp);
  params._drupal_theme = info[1];
  params._storybook = info[2];

  const fetchUrl = new URL(`${url}/_storybook_server`);
  fetchUrl.search = new URLSearchParams({ ...params }).toString();

  const response = await fetch(fetchUrl, {
    credentials: "include",
  });
  return response.text();
};

module.exports = fetchStoryHtml;
